<?php
	include("data/includes/config.inc.php");
	include("data/includes/tracker.inc.php");
	
	if ( !$inttracker ) bterror("Internal tracker is disabled. Please visit the website at ". $yabtucurl);
	if ( $site_disabled ) bterror("This tracker is temporarily unavailible. Please visit the website at ". $yabtucurl ." for more information...");
	$dbh = connect("$dbhost", "$dbu", "$dbpw", "$dbn");

//
// Uebergabe-Parameter einlesen und pruefen
//

	// delete old entries
	deloldpeers($dbh);

	// uebergabe-variablen auslesen
	$keys = getkeys("info_hash:peer_id:!ip:port:uploaded:downloaded:left:!event:!numwant:!trackerid");
	
	// hash-werte codieren
	$dechash = bin2hex($keys["info_hash"]);
	$enchash = escape_string($keys["info_hash"]);
	$decpeer = bin2hex($keys["peer_id"]);
	$encpeer = escape_string($keys["peer_id"]);
		
	// Status checken
	// Wenn $left = 0 (fertig) = seeder, sonst leecher.
	if ( $keys["left"] > 0 ) {
		$status = "leeching";
	} else {
		$status = "seeding";
	}

	checklen($keys, "info_hash", 20);
	checklen($keys, "peer_id", 20);
	
	checkclient($dbh, strtolower($_SERVER["HTTP_USER_AGENT"]));
	checkip($dbh, $ipaddr);
	checkuser($dbh, $ipaddr);
	checkdelay($dbh, $ipaddr);
	
	if ( checktorrent($dbh, $keys) ) {
		if ( !checkevent($dbh, $keys["event"]) ) {
			cleandupepeers($dbh);
			if ( checkpeer($dbh, $keys) ) {
				updatepeer($dbh, $keys);
				
			} else {
				newpeer($dbh, $keys);
			}
		}
	} else {
		newtorrent($dbh, $dechash);
		newpeer($dbh, $keys);
	}
	sendpeers($dbh, $keys);
?>