<?php
	include("../includes/benc.php");

	function connect($server, $user, $pw, $db) {
		switch (DBT) {
			case "PostgreSQL":
				$res = @pg_pconnect("host=$server user=$user password=$pw port=5432 dbname=$db");
				if ( pg_last_error($res) ) {
					echo "An error occured while connecting to the database (CONNECT)<br />";
					echo "pgSQL-error: ". pg_last_error($res) ."<br />";
					echo "handle: ". $res ."<br />";
					echo "<br />";
				}
				break;
			case "MySQL":
	            $res = @mysql_pconnect($server,$user,$pw);
				if ( mysql_error() ) {
					echo "An error occured while connecting to the database (CONNECT)<br />";
					echo "mySQL-error: ". mysql_error() ."<br />";
					echo "handle: ". $res ."<br />";
					echo "<br />";
				}
	            @mysql_select_db($db);
				if ( mysql_error() ) {
					echo "An error occured while selecting the database (SELECT_DB)<br />";
					echo "mySQL-error: ". mysql_error() ."<br />";
					echo "handle: ". $res ."<br />";
					echo "<br />";
				}
				break;
		}
		return $res;
	}

	function query($handle, $query) {
		switch (DBT) {
			case "PostgreSQL":
				$res = @pg_query($handle, "$query");
				if ( pg_last_error() ) {
					echo "An error occured while queriing the database (QUERY)<br />";
					echo "pgSQL-error: ". pg_last_error() ."<br />";
					echo "handle: ". $handle ."<br />";
					echo "query: ". $query ."<br />";
					echo "<br />";
				}
				break;
			case "MySQL":
				$res = @mysql_query("$query");
				if ( mysql_error() ) {
					echo "An error occured while queriing the database (QUERY)<br />";
					echo "mySQL-error: ". mysql_error() ."<br />";
					echo "handle: ". $handle ."<br />";
					echo "query: ". $query ."<br />";
					echo "<br />";
				}
				break;
		}
		return $res;
	}
	
	function fetch_object($handler) {
		switch (DBT) {
			case "PostgreSQL":
				$res = @pg_fetch_object($handler);
				if ( pg_last_error() ) {
					echo "An error occured while fetching an object (FETCH_OBJ)<br />";
					echo "pgSQL-error: ". pg_last_error() ."<br />";
					echo "handler: ". $handler ."<br />";
					echo "<br />";
				}
				break;
			case "MySQL":
				$res = @mysql_fetch_object($handler);
				if ( mysql_error() ) {
					echo "An error occured while fetching an object (FETCH_OBJ)<br />";
					echo "mySQL-error: ". mysql_error() ."<br />";
					echo "handler: ". $handler ."<br />";
					echo "<br />";
				}
				break;
		}
		return $res;
	}
	
	function fetch_array($handler) {
		switch (DBT) {
			case "PostgreSQL":
				$res = pg_fetch_array($handler);
				if ( pg_last_error() ) {
					echo "An error occured while fetching an array (FETCH_ARR)<br />";
					echo "pgSQL-error: ". pg_last_error() ."<br />";
					echo "handler: ". $handler ."<br />";
					echo "object: ". $res ."<br />";
					echo "<br />";
				}
				break;
			case "MySQL":
				$res = mysql_fetch_array($handler);
				if ( mysql_error() ) {
					echo "An error occured while fetching an array (FETCH_ARR)<br />";
					echo "mySQL-error: ". mysql_error() ."<br />";
					echo "handler: ". $handler ."<br />";
					echo "object: ". $res ."<br />";
					echo "<br />";
				}
				break;
		}
		return $res;
	}
	
	function unesc($x) {
    	if (get_magic_quotes_gpc())
		  return stripslashes($x);
		return $x;
	}

  function vcount() {
    $id=$_REQUEST['id'];
    include("data/includes/config.inc.php");
    $ddbh=connect("$dbhost", "$dbu", "$dbpw", "$dbn");
    $ergebnis = query($ddbh, "SELECT views FROM torrents WHERE ID='$id'");
	$row = fetch_object($ergebnis);
	$views=$row->views;
	$views++;
	query($ddbh, "UPDATE torrents SET views='$views' WHERE ID='$id'");
  }
  
  function whoisonline($akttime) {
  		$ret=array();
	    include("data/includes/config.inc.php");
		$ddbh=connect("$dbhost", "$dbu", "$dbpw", "$dbn");
		$ergebnis = query($ddbh, "SELECT name, time FROM users WHERE time!='0'");
		while($row = fetch_object($ergebnis)) {
				if($akttime-$row->time < 6000) {
					array_push($ret, $row->name);
				}
		}
		return $ret ;
  }
  
  function dechash($enchash) {
			$ret=preg_replace_callback('/./s', "hex_esc", str_pad($enchash, 20));
			return $ret;
  }
  function bark($meldung) {
  		echo'<table width="600"  border="0" align="center" cellpadding="2" cellspacing="0" class="bark">';
		echo'<tr>';
		echo'<td align="center">';
		echo $meldung;
		echo'</td>';
		echo'</tr>';
		echo'</table>';
  }
  
  function checkstatIP($user, $status, $must, $message) {
  	$res = true;
  	if($user=="none") {
		bark("<h4>Du musst angemeldet sein, um $message zu k&ouml;nnen. <a href='../../index.php?page=login'>Login.</a></h4>");
		$res = false;
	} elseif ($status<$must) {
		bark("<h4>Dein Rang reicht nicht aus, um $message zu d&uuml;rfen. <a href='../../index.php?page=home'>Zur&uuml;ck...</a></h4>");
		$res = false;
	}
	return $res;
  }
  
  function hex_esc($matches) {
	return sprintf("%02x", ord($matches[0]));
  }
  
   function url_validate( $link )
   {       
       $url_parts = @parse_url( $link );

       if ( empty( $url_parts["host"] ) ) return( false );

       if ( !empty( $url_parts["path"] ) )
       {
           $documentpath = $url_parts["path"];
       }
       else
       {
           $documentpath = "/";
       }

       if ( !empty( $url_parts["query"] ) )
       {
           $documentpath .= "?" . $url_parts["query"];
       }

       $host = $url_parts["host"];
       $port = $url_parts["port"];
       // Now (HTTP-)GET $documentpath at $host";

       if (empty( $port ) ) $port = "80";
       $socket = @fsockopen( $host, $port, $errno, $errstr, 10 );
       if (!$socket)
       {
           return(false);
       }
       else
       {
           fwrite ($socket, "HEAD ".$documentpath." HTTP/1.0\r\nHost: $host\r\n\r\n");
           $http_response = fgets( $socket, 22 );
          
           if ( ereg("200 OK", $http_response, $regs ) )
           {
               return(true);
               fclose( $socket );
           } else
           {
//                echo "HTTP-Response: $http_response<br>";
               return(false);
           }
       }
   }

function check_tracker($scrapeurl, $ihash) {
/*	if(url_validate($scrapeurl)) {*/
	$fp = @fopen($scrapeurl, "rb");
	if ( !$fp ) {
		if ( $scrapeurl{strlen($scrapeurl)} != "/" ) $scrapeurl .= "/";
		$scrapeurl .= "index.php";
		$fp = @fopen($scrapeurl, "rb");
		if ( !$fp ) {
			if ( $scrapeurl{strlen($scrapeurl)} != "/" ) $scrapeurl .= "/";
			$scrapeurl = str_replace("index.php", "index.pl", $scrapeurl);
			$fp = @fopen($scrapeurl, "rb");
			if ( !$fp ) {
				$scrapeurl = str_replace("index.pl", "index.py", $scrapeurl);
				$fp = @fopen($scrapeurl, "rb");
			}
				if ( !$fp ) {
					$scrapeurl = str_replace("index.pl", "", $scrapeurl);
					$fp = @fopen($scrapeurl, "rb");
				}
		}
	}
		
	unset($inhalt);
	if ( $fp ) {
	    while(!feof($fp)) {
	        $inhalt.= @fread($fp,1024);
	    }
	    @fclose($fp);
		$decoded = @bdec($inhalt);
		if(isset($decoded)) {
			if(isset($decoded['value']['files']['value'][$ihash]['value']['complete']['value'])) {
				$ret=array("d"=>$decoded['value']['files']['value'][$ihash]['value']['downloaded']['value'], "i"=>$ret=$decoded['value']['files']['value'][$ihash]['value']['incomplete']['value'], "c"=>$ret=$decoded['value']['files']['value'][$ihash]['value']['complete']['value']);
		    	return $ret;
		  	} else {
		    	$ret=array("d"=>"purged", "i"=>"purged", "c"=>"purged");
		    	return $ret;
		  	}
		} else {
			$ret=array("d"=>"error", "i"=>"error", "c"=>"error");
			return $ret;
		}
	} else {
		$ret=array("d"=>"n/a", "i"=>"n/a", "c"=>"n/a");
		return $ret;
	}
	return $ret;
}

function dict_check($d, $s) {
	if ($d["type"] != "dictionary")
		bark("not a dictionary");
	$a = explode(":", $s);
	$dd = $d["value"];
	$ret = array();
	foreach ($a as $k) {
		unset($t);
		if (preg_match('/^(.*)\((.*)\)$/', $k, $m)) {
			$k = $m[1];
			$t = $m[2];
		}
/*		if (!isset($dd[$k])) {
			echo"dictionary is missing key(s)";
			die();
		}
*/
		if (isset($t)) {
/*			if ($dd[$k]["type"] != $t) {
				echo"invalid entry in dictionary";
				die();
			}
*/
			$ret[] = $dd[$k]["value"];
		}
		else {
			$ret[] = $dd[$k];
		}
	}
	return $ret;
}

function clearify($in) {
	switch (DBT) {
		case "PostgreSQL":
			$res = nl2br(pg_escape_string(strip_tags($in)));
			break;
		case "MySQL":
			$res = nl2br(mysql_escape_string(strip_tags($in)));
			break;
	}
	return $res;
}

function declearify($in) {
	$res = strip_tags($in);
	return $res;
}

function addtorrent($dbh, $typ, $name, $bewertung, $aktdatetime, $totallen, $uploader, $dname, $beschreibung, $ann, $eschash, $dld, $incomp, $comp, $purename) {
	switch (DBT) {
		case "PostgreSQL":
			query($dbh, "INSERT INTO torrents (id, typ, name, wertung, anzwert, hinzugefuegt, groesse, uploader, dlname, beschreibung, views, hits, announce, hash, tr_downloaded, tr_incomplete, tr_complete, purename) VALUES (nextval('public.torrents_id_seq'::text), '$typ', '$name', '$bewertung', '1', '$aktdatetime', '$totallen', '$uploader', '$dname', '$beschreibung', '0', '0', '$ann', '$eschash', '$dld', '$incomp', '$comp', '$purename')");
			break;
		case "MySQL":
			query($dbh, "INSERT INTO torrents (id, typ, name, wertung, anzwert, hinzugefuegt, groesse, uploader, dlname, beschreibung, views, hits, announce, hash, tr_downloaded, tr_incomplete, tr_complete, purename) VALUES ('', '$typ', '$name', '$bewertung', '1', '$aktdatetime', '$totallen', '$uploader', '$dname', '$beschreibung', '0', '0', '$ann', '$eschash', '$dld', '$incomp', '$comp', '$purename')");
			break;
	}
	return;
}

function enchash($in) {
	switch (DBT) {
		case "PostgreSQL":
			$res = pg_escape_string($in);
			break;
		case "MySQL":
			$res = mysql_escape_string($in);
			break;
	}
	return $res;
}

function dict_get($d, $k, $t) {
	if ($d["type"] != "dictionary")
		bark("not a dictionary");
	$dd = $d["value"];
	if (!isset($dd[$k]))
		return;
	$v = $dd[$k];
	if ($v["type"] != $t)
		bark("invalid dictionary entry type");
	return $v["value"];
}

function get_stats($sessid) {
  include("data/includes/config.inc.php");
  $dbh=connect("$dbhost", "$dbu", "$dbpw", "$dbn");
  $ergebnis=query($dbh, "SELECT name, status FROM users WHERE sessid = '$sessid'");
  $row = fetch_object($ergebnis);
  $status=0;
  if($row->name != "") {
    if($acttime-$row->time < 600) {
      $user="$row->name";
	  $status="$row->status";
	  $ergebnis=query($dbh, "SELECT name FROM ranks WHERE punkte = '$status'");
	  $row = fetch_object($ergebnis);
	  $rank = $row->name;
	} else {
	  $user="none";
	  $status=0;
	  $rank="unreg";
	}
  } else {
    $user="none";
	$status=0;
	$rank="unreg";
  }
  $res = array($user, $status, $rank);
  return $res;
}

	function smiliefy($input) {

		global $smilies;
		if ( !$smilies ) {
			include("../includes/config.inc.php");
			$dbh=connect("$dbhost", "$dbu", "$dbpw", "$dbn");
			$smilies = array();
			$smile=query($dbh, "SELECT bbcode, img FROM smilies");
			while ( $srow = fetch_object($smile) )  {
				$smilie = array ( "bbcode" => $srow->bbcode, "image" => $srow->img );
				array_push( $smilies, $smilie );
			}
		}
		
		$res = $input;
		
		foreach ( $smilies as $sm ) {
			$smimg = $sm["image"];
			$smbb = $sm["bbcode"];
			$res = str_replace($sm['bbcode'], "<img src='../pix/smilies/$smimg' alt='$smbb'>", $res);
		}
		
		return $res;
	}

	function bbdecode($input) {
		$res = $input;
		$res = str_replace("[b]", "<strong>", $res);
		$res = str_replace("[/b]", "</strong>", $res);
		$res = str_replace("[i]", "<em>", $res);
		$res = str_replace("[/i]", "</em>", $res);
		$res = str_replace("[u]", "<u>", $res);
		$res = str_replace("[/u]", "</u>", $res);

		$res = str_replace("[center]", "<div align='center'>", $res);
		$res = str_replace("[/center]", "</div>", $res);

		$res = preg_replace("/\[font=(.*?)\](.*?)\[\/font\]/", "<font face='$1'>$2</font>", $res);
		$res = preg_replace("/\[size=(.*?)\](.*?)\[\/size\]/", "<font size='$1'>$2</font>", $res);
		$res = preg_replace("/\[color=(.*?)\](.*?)\[\/color\]/", "<font color='$1'>$2</font>", $res);
		$res = preg_replace("/\[url=(.*?)\](.*?)\[\/url\]/", "<a href='$1' target='_blank'>$2</a>", $res);
		$res = preg_replace("/\[email=(.*?)\](.*?)\[\/email\]/", "<a href='mailto:$1'>$2</a>", $res);

		return smiliefy($res);
	}

?>
