<?php
/*	newuser-registration ACTION
*/

/*	POST-Variablen entgegennahme:
	$username, $userpass, $passveri,
	$whoisit, $avatarwahl, $info, $email
*/

	$username = clearify(unesc($_POST["username"]));
	$userpass = clearify(unesc($_POST["userpass"]));
	$passveri = clearify(unesc($_POST["passveri"]));
	$whoisit = clearify(unesc($_POST["whoisit"]));
	$avatarwahl = unesc($_POST["avatarwahl"]);
	$info = clearify(unesc($_POST["info"]));
	$email = unesc($_POST["email"]);

/*	query fuer den Check auf doppelten Usernamen
*/
	$ergebnis = query($dbh, "SELECT name FROM users WHERE name='$username'");
	$row = fetch_object($ergebnis);

/*	Sicherheitschecks und Fehlermeldungen,
	ob alle benoetigten Felder ausgefuellt
	sind, ob pass und veri uebereinstimmen
	undob Username bereits vergeben ist.
*/

	$okay = true;

	if( $whoisit == '') {
		bark('<h4>'. htmlentities($lang_err_allfields) .'</h4> <a href="index.php?page=register">'. $lang_back .'...</a>');
		$okay = false;
	} elseif( $username == '' ) {
		bark('<h4>'. htmlentities($lang_err_name) .'</h4> <a href="index.php?page=register">'. $lang_back .'...</a>');
		$okay = false;
	} elseif( !eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]{2,})+$", $email) ) {
		bark('<h4>'. htmlentities($lang_err_wrongemail) .'</h4> <a href="index.php?page=register">'. $lang_back .'...</a>');
		$okay = false;
	} elseif( $email == '' ) {
		bark('<h4>'. htmlentities($lang_err_noemail) .'</h4> <a href="index.php?page=register">'. $lang_back .'...</a>');
		$okay = false;
	} elseif( $userpass == '' ) {
		bark('<h4>'. htmlentities($lang_err_passwd) .'</h4> <a href="index.php?page=register">'. $lang_back .'...</a>');
		$okay = false;
	} elseif( $passveri == '' ) {
		bark('<h4>'. htmlentities($lang_err_passveri) .'</h4> <a href="index.php?page=register">'. $lang_back .'...</a>');
		$okay = false;
	} elseif( $avatarwahl == '' ) {
		$avatarwahl == '1';
	} elseif( $info == '' ) {
  		$info='&nbsp';
	} elseif( $userpass != $passveri ) {
		bark('<h4>'. htmlentities($lang_err_passdiff) .'</h4> <a href="index.php?page=register">'. $lang_back .'...</a>');
		$okay = false;
	} elseif( $row->name != '' ) {
		bark('<h4>'. htmlentities($lang_err_nameaway) .'</h4> <a href="index.php?page=register">'. $lang_back .'...</a>');
		$okay = false;
	}
	
	if ( $okay ) {

		$pw = crypt($userpass);
		$ipaddr = $_SERVER['REMOTE_ADDR'];

/*	verify-email versenden
*/

/* Betreff */
		$subject = $yabtucname ." email-verification";

/* Nachricht */
		$dt = str_replace(" ", "", $aktdatetime);
		$dt = str_replace("-", "", $dt);
		$dt = str_replace(":", "", $dt);

		$regok = false;
		$et = @fopen( "email.tmpl", "rb" );
		if ( $et ) {
			$email_template = "";
			while ( !feof( $et ) ) {
				$email_template .= @fread( $et, 1024 );
			}
			@fclose( $et );
			$mailinhalt = str_replace("\\r\\n", "\n", $inhalt);
			$message = str_replace("@USERNAME@", "$username", $email_template);
			$message = str_replace("@YABTUCNAME@", "$yabtucname", $message);
			$message = str_replace("@YABTUCURL@", "$yabtucurl", $message);
			$message = str_replace("@CONFIRMURL1@", $yabtucurl . "userverify.php?uname=". $username ."&amp;datetime=". $dt, $message);
			$message = str_replace("@CONFIRMURL2@", $yabtucurl . "userverify.php?uname=". $username ."&datetime=". $dt, $message);

			if ( $emailfunct == "internal" ) {
				mail("$email", "$subject", "$message",
						 "To: $email\r\n"
						."From: $yabtucemail\r\n"
						."Reply-To: $yabtucemail\r\n"
						."X-Mailer: yabtuc");
				$regok = true;
			} else {
				if ( ambmail( "$email", "$subject", "X-mailer: yaBTuc", "$message" ) ) $regok = true;
			}
		}
		if ( $regok == true ) {
			
/*	newuser db-update 
*/
			switch (DBT) {
				case "MySQL":
					query($dbh, "INSERT INTO `users` (`id`, `name`, `password`, `sessid`, `time`, `whoisit`, `status`, `registered`, `last`, `avatar`, `descr`, `dld`, `upd`, `show`, `ipaddr`, `emailverified`, `email`, `lang`, `tr_up`, `tr_down`) VALUES ('', '$username', '$pw', '-', '0', '$whoisit', '0', '$aktdatetime', '$aktdatetime', '$avatarwahl', '$info', '0', '0', '$stdlimit', '$ipaddr', '0', '$email', '$standard_lang', '0', '0')");
					break;
				case "PostgreSQL":
					query($dbh, "INSERT INTO users (id, name, password, sessid, time, whoisit, status, registered, last, avatar, descr, dld, upd, show, ipaddr, emailverified, email, lang, tr_up, tr_down) VALUES (nextval('public.users_id_seq'::text), '$username', '$pw', '-', '0', '$whoisit', '0', '$aktdatetime', '$aktdatetime', '$avatarwahl', '$info', '0', '0', '$stdlimit', '$ipaddr', '0', '$email', '$standard_lang', '0', '0')");
					break;
			}  
		} else $regok = false;
		
/*	HTML-Ausgabe...
*/
?> 
		<br />
		<table width="600"  border="0" align="center" cellpadding="2" cellspacing="0" class="bark"> 
			<tr> 
				<td align="center"> 
<?php
					if ( $regok ) {
?>
						<h4><?php echo htmlentities($lang_registered_head); ?></h4> 
						<?php echo htmlentities($lang_registered_text); ?> <a href="index.php?page=home"><?php echo htmlentities($lang_back); ?>...</a>
<?php
					} else {
?>
						<h4><?php echo htmlentities($lang_registered_mailerr_head); ?></h4> 
						<?php echo htmlentities($lang_registered_mailerr_text); ?> <a href="javascript: back();"><?php echo htmlentities($lang_back); ?>...</a>
<?php
					}
?>
				</td> 
			</tr> 
		</table>
		<br /> 
<?php
	}
?>